<html>

	<head>
		<meta name="viewport" content="width=device-width, user-scalable=no">
		<meta charset="utf-8" />
		<script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
		 crossorigin="anonymous"> </script>
		<script src="js/catchGreenpayResponse.js"></script>
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP"
		 crossorigin="anonymous">
	</head>

	<body>
		<!-- <div>
		<button id = "selecetor" type="button" onclick="loadJs()">Load Widget!</button>
	</div> -->
		<button type="button" class="btn btn-success btn-md" id="myBtn">Modal (show:true)</button>
		<div class="modal fade" id="myModal" role="dialog">
			<div class="modal-dialog">

				<!-- Modal content-->
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal">&times;</button>
						<h4 class="modal-title">GreenPay Payment</h4>
					</div>
					<div class="modal-body" id="AreaPagoGreenPay">
						<!-- <div gpsession="" gptoken="" environment="production or sandbox"></div> -->
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
					</div>
				</div>

			</div>
		</div>
	</body>
	<script>
		/*
		 * Edit this part
		 * Secret, merchantId and terminal
		 */
		$(document).ready(function () {
			$("#myBtn").on("click", function () {
				postData('https://sandbox-merchant.greenpay.me', {
						"secret": "",
						"merchantId": "",
						"terminal": "",
						"amount": 200,
						"currency": "CRC",
						"desciption": "desc",
						"orderReference": "xwr 8999"
					})
					.then((data) => {
						insertHtml(data)
						$("#myModal").modal({
							show: true
						})
						loadJs()
					}) // JSON-string from `response.json()` call
					.catch(error => console.error(error));
			});
		});

		function insertHtml(data) {
			$("#AreaPagoGreenPay").html(' <div gpsession="' + data.session + '"gptoken = "' + data.token +
				'" environment = "" ></div > ');
		}

		function loadJs() {
			//TODO
			/**
			 * Make a call to your backed to create a payment order
			 * Wait to get the response obtained in your backenk.
			 * Update gpsession and gptoken element values with the response got it in your backend
			 */

			var script = document.createElement('script');
			script.src = 'js/greenpayElements.js';
			script.type = 'text/javascript';
			document.body.parentNode.appendChild(script);
		}

		function postData(url, obj, headers, pair) {
			return new Promise((resolve, reject) => {
				var reqObj = {
					url: url,
					type: "post",
					data: obj,
					dataType: 'json',
					success: function (rs) {
						if ("encrypt" in rs) {
							resolve(unpack(rs.encrypt, pair))
						} else {
							resolve(rs)
						}

					},
					error: function (err) {
						reject(err)
					},
					complete: function (request) {
						var lToken = request.getResponseHeader("liszt-token")
						if (lToken != null) {
							localStorage.setItem("liszt-token", lToken)
						}
					}
				}

				if (headers) {
					reqObj.headers = headers
				}

				$.ajax(reqObj)

			})
		}
	</script>

	<html>